Subject: bug#16144: 24.3.50; [PATCH] eww: Don't hide windows with browsing bookmark list.

From: Stefan Monnier <[email-masked]>
Date: Tue, 24 Dec 2013 09:48:25 -0500

>> I don't think it makes sense for the pop-up-a-new-buffer functions to
>> necessarily restore the original window layout after the buffer goes
>> away, anyway.
> Or perhaps it should.  I've now made it just save the window
> configuration and restore it.

Don't.  This is the wrong way to go about it.
Nowadays, quit-window tries to undo the effect of pop-to-buffer, so try
to get this to work instead.  In the "quickly look at something case" it
should work just as well as saving/restoring the window config, but in
the more complex cases (e.g. pop to a new frame, or stick around for
a long time with lots of other window/buffer movements) it will
behave better.

        Stefan